CREATE OR REPLACE PACKAGE owa_util AS
    TYPE ident_arr IS TABLE OF VARCHAR2(2000);
    PROCEDURE redirect_url(loc IN VARCHAR2);
    FUNCTION  GET_CGI_ENV(nm IN VARCHAR2) RETURN VARCHAR2;
END owa_util;
/
show errors
CREATE OR REPLACE PACKAGE BODY owa_util AS
    PROCEDURE redirect_url(loc IN VARCHAR2) IS
    BEGIN
	OCI_WWW.PutStringHdr('Location: '||loc);
	OCI_WWW.PutStringHdr('Status: 302');
    END;
    FUNCTION  GET_CGI_ENV(nm IN VARCHAR2) RETURN VARCHAR2 IS
    BEGIN
	RETURN oci_www.getEnv(nm);
    END GET_CGI_ENV;
END owa_util;
/
show errors
